<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateQuizzesTable extends TableMigration
{
    public function up(): void
    {
        Schema::create($this->getTableNameWithPrefix(), function (Blueprint $table): void {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('event_id');
            $table->string('title');
            $table->string('type');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists($this->getTableNameWithPrefix());
    }

    public function tableName(): string
    {
        return 'quizzes';
    }
}
