<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNavigationsTable extends TableMigration
{
    public function tableName(): string
    {
        return 'navigations';
    }

    public function up(): void
    {
        Schema::create($this->getTableNameWithPrefix(), static function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('primaryId');
            $table->unsignedInteger('secondaryId');
            $table->unsignedInteger('menuId');
            $table->unsignedInteger('eventId');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::drop($this->getTableNameWithPrefix());
    }
}
