<?php

namespace Drp\NativeEventApp\GraphQL\Mutations;

use Drp\NativeEventApp\FileUploads\Facades\FileUpload;
use Illuminate\Support\Str;
use Nuwave\Lighthouse\Support\Contracts\GraphQLContext;

class CreateFileUploadUrl
{
    public function __invoke($rootValue, array $args, GraphQLContext $context) // phpcs:ignore
    {
        $uuid = (string) Str::uuid();

        $data = FileUpload::createUrl($uuid, '+5 minutes');

        return array_merge($data, ['uuid' => $uuid]);
    }
}
