<?php

namespace Drp\NativeEventApp\Modules\Types;

use Drp\NativeEventApp\Models\Quiz as QuizModel;
use Drp\NativeEventApp\Modules\Module;

class Quiz extends Module
{
    /** @var int */
    public $quizId;

    /**
     * @param Quiz|int $quizId
     */
    public function __construct($quizId)
    {
        $this->quizId = $quizId instanceof QuizModel ? $quizId->id : $quizId;
    }

    public static function getDescription(): string
    {
        return 'A quiz';
    }
}
